#ifndef SETTINGSDIALOGAPPARENCE_H
#define SETTINGSDIALOGAPPARENCE_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"
#include "Tooltip/ColourPicker.h"

// Bote de dialogue CSettingApparence

class CSettingsDialogApparence : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogApparence)

public:
	CSettingsDialogApparence();
	virtual ~CSettingsDialogApparence();

	BOOL showGradient;
	BOOL showToolTip;
	CColourPicker startColor;
	CColourPicker endColor;
	CString toolTipText;

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	void DrawGradientSample();
	void OnChangeTooltipText();
	void OnPaint();

	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif