#ifndef CDLLGEN_H
#define CDLLGEN_H
#include "gen.h"
#include "StandardGen.h"

typedef winampGeneralPurposePlugin* (__cdecl *winampGeneralPurposePluginGetter)(); // type definition, pointer to: void function(char*)

class CDllGen : public GenInterface
{
private:
	HINSTANCE hModGen;  	   // handle to loaded library module
	winampGeneralPurposePluginGetter pfun1;   // declaration for the typedef function
	winampGeneralPurposePlugin* dllGenMod;
	CStandardGen* internatGen;
	winampGeneralPurposePlugin* internalGenMod;
public:

	int GetVersion();   	// module type (GEN_VER)
	TCHAR* GetDescription();	 // description of module, with version string

	void SethwndParent(HWND hWnd);   // winamp's main window (filled gen by winamp)
	void SethDllInstance(HINSTANCE hDLL);   // DLL instance handle (Also filled gen by winamp)

	CDllGen(CString dllPath, HWND hWnd);
	~CDllGen();
	void Config(); // configuration dialog

	int Init();

	void Quit();	 // Quit

	winampGeneralPurposePlugin* GetWinampGeneralPurposePlugin();
};
#endif